pages:
  stage: deploy
  image: r-base:latest
  before_script:
    - apt-get update
    - apt-get install libssl-dev pandoc build-essential libcurl4-gnutls-dev libxml2-dev libssl-dev -y
    - Rscript builtit.R 
  script:
    - mkdir .public
    - cp -r ./docs/* .public
    - mv .public public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
